## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * missing dev-dependencies: glium ^0.32
%bcond_with check
%global debug_package %{nil}

%global crate png

Name:           rust-png
Version:        0.17.14
Release:        %autorelease
Summary:        Decoding and encoding library in pure Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/png
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          png-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
PNG decoding and encoding library in pure Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGES.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+benchmarks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+benchmarks-devel %{_description}

This package contains library source intended for building other packages which
use the "benchmarks" feature of the "%{crate}" crate.

%files       -n %{name}+benchmarks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Oct 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.14-1
- Update to version 0.17.14; Fixes RHBZ#2315366

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Feb 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.13-1
- Update to version 0.17.13; Fixes RHBZ#2264788

* Sun Feb 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.12-1
- Update to version 0.17.2; Fixes RHBZ#2264502

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.11-1
- Update to version 0.17.11; Fixes RHBZ#2258269

* Wed Aug 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.10-1
- Update to version 0.17.10; Fixes RHBZ#2232717

* Thu Jul 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.9-1
- Update to version 0.17.9; Fixes RHBZ#2185687

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.7-1
- Update to version 0.17.7; Fixes RHBZ#2138662

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.6-1
- Update to version 0.17.6; Fixes RHBZ#2124363

* Tue Aug 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.5-1
- Update to version 0.17.5; Fixes RHBZ#2053823

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Feb 02 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.2-1
- Update to version 0.17.2; Fixes RHBZ#1993638

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.8-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.8-1
- Update to version 0.16.8.
- Fixes RHBZ#1905712

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.16.7-1
- Update to 0.16.7

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.16.6-1
- Update to 0.16.6

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.16.5-1
- Update to 0.16.5

* Thu Jun 04 2020 Josh Stone <jistone@redhat.com> - 0.16.4-1
- Update to 0.16.4

* Sun Apr 19 15:54:15 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.16.3-1
- Update to 0.16.3

* Thu Apr 02 2020 Josh Stone <jistone@redhat.com> - 0.16.2-1
- Update to 0.16.2

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.16.1-1
- Update to 0.16.1

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.16.0-1
- Update to 0.16.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 0.15.3-1
- Update to 0.15.3

* Mon Dec 16 2019 Josh Stone <jistone@redhat.com> - 0.15.2-2
- Bump to deflate 0.8

* Fri Dec 06 10:48:53 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.2-1
- Update to 0.15.2

* Tue Nov 19 08:03:21 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.1-1
- Update to 0.15.1

* Sun Sep 01 20:56:57 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 10:36:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.14.1-2
- Regenerate

* Tue Apr 30 09:41:23 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.14.1-1
- Update to 0.14.1

* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.14.0-1
- Initial package

## END: Generated by rpmautospec
